package com.yanzuoguang.mq.dao;


import com.yanzuoguang.dao.BaseDao;
import com.yanzuoguang.mq.vo.QueueVo;
import com.yanzuoguang.mq.vo.req.QueueQueryReqVo;
import com.yanzuoguang.util.vo.PageSizeData;

import java.util.List;

/**
 * 日志接口基本操作类
 */
public interface QueueDao extends BaseDao {

    /**
     * 保存队列
     *
     * @param req
     * @return
     */
    String saveWith(QueueVo req);

    /**
     * 查询现有消息队列
     *
     * @param req
     * @return
     */
    PageSizeData<QueueVo> query(QueueQueryReqVo req);

    /**
     * 获取所有的队列
     *
     * @return 队列列表
     */
    List<QueueVo> list();

}
